# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXMapCheck

Function

Verifies that the types of `input` and `map` are valid to be used as parameters to the `DXMap` routine.

Syntax
`
#include <dx/dx.h>
`

Object DXMapCheck(Object input, Object map, char *index,
Type *type, Category *category, int *rank, int *shape)

Functional Details

If `map` is an Array, it must contain a single element. If `map` is not an Array, the type, category, rank, and shape of the input component specified by `index` must match that of the "positions" component of the map. The type, category, rank and shape of the map (and of the data Object produced by this mapping) are returned in the corresponding arguments, `type`, `category`, `rank`, and `shape`.

The type is one of the following:

    TYPE_BYTE            TYPE_HYPER        TYPE_SHORT
    TYPE_UBYTE           TYPE_INT          TYPE_USHORT
    TYPE_DOUBLE          TYPE_UINT         TYPE_STRING
    TYPE_FLOAT

The category is either `CATEGORY_REAL` or `CATEGORY_COMPLEX`.

Return Value

Returns the `input` argument if `input` and `map` are valid for mapping; otherwise, returns `NULL` but does not set an error code.

See Also

`DXMap, DXMapArray`

14.2 , "Interpolation and Mapping".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]